MARTe2-core - User story #242

Bitset for 64 bit integers
20.10.2015 11:16 - André Neto

Status: Closed Start date: 20.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.7 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Finish the implementation of bit set for 64 bit integers.

Source code files modified

BareMetal/LOTypes/Doublelnteger.h
BareMetal/LOTypes/Shift.h
BareMetal/L3Streams/IOBufferIntegerPrint.h

Architecture & design review

Date of the review: 23/10/2015

Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does

not require formal design in UML.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 27/10/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 27/10/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities:
Few incarnations of the templated functions are not tested due to escessive nesting.

Associated revisions

Revision 490b3471 - 23.10.2015 13:42 - Giuseppe Ferro
#242 Tests Doublelnteger done.

Revision 5b0554ad - 23.10.2015 15:50 - Giuseppe Ferro
#242 Added Tests for streams and bitset with int64.

Revision 53c4e45e - 26.10.2015 11:30 - Giuseppe Ferro

Added shift tests for double integer
#242

Revision cadc5d81 - 27.10.2015 09:26 - Giuseppe Ferro
Added a Test for 100% coverage of Doublelnteger

#242

Revision e0f802c6 - 09.11.2015 10:14 - André Neto

#242 Solved lint false-warnings.

History

#1 - 23.10.2015 13:21 - André Neto
- Status changed from New to Code: Impl

#2 - 23.10.2015 13:24 - André Neto

- Description updated

#3 - 23.10.2015 13:29 - André Neto

- Target version changed from Backlog to 0.7

#4 - 23.10.2015 13:35 - André Neto

- Assignee set to Giuseppe Ferro

#5 - 26.10.2015 11:41 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#6 - 26.10.2015 11:43 - Giuseppe Ferro

- Description updated

code implementation done: 456acb9

#7 - 26.10.2015 11:46 - Riccardo Vitelli

- Assignee changed from Giuseppe Ferro to Riccardo Vitelli

#8 - 27.10.2015 08:58 - Riccardo Vitelli
- Description updated

- Assignee deleted (Riccardo Vitelli)

#9 - 27.10.2015 08:58 - Riccardo Vitelli
- Status changed from Code: Rev to Unit: Impl

#10 - 27.10.2015 08:58 - Riccardo Vitelli
- Status changed from Unit: Impl to Unit: Rev

#11 - 27.10.2015 08:59 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli
#12 - 27.10.2015 12:09 - Riccardo Vitelli
- Description updated

- Assignee deleted (Riccardo Vitelli)

#13 - 27.10.2015 15:20 - Riccardo Vitelli
- Status changed from Unit: Rev to Closed

#14 - 27.10.2015 15:20 - Riccardo Vitelli
- Status changed from Closed to Unit: Rev

#15 - 09.11.2015 09:44 - Riccardo Vitelli

- Assignee set to André Neto

#16 - 09.11.2015 10:16 - André Neto
- Description updated

- Status changed from Unit: Rev to Closed

Solved the false linting warning regarding the external effects with templates using the general rule:-estring(1960,"*MARTe::DoubleInteger<<1>>*")

#17 - 09.11.2015 11:42 - André Neto
- Assignee deleted (André Neto)

#18 - 30.11.2015 11:48 - lvan Herrero

- Description updated
